<?php 
/**
 * Template for displaying category
 *
 * @version 1.0.0
 */
get_header(); 

$categories = get_categories();?>
<div class='theme-main-block theme-browse-page'>
    <div class="wrapper-inner wrapper-inner-small">
        <?php foreach($categories as $category) {
         $twp_term_image = get_term_meta( $category->term_id, 'twp-term-featured-image', true ); ?>
        <div class='column column-3 column-lg-4 column-md-4 column-xxs-12'>
            <article class="theme-news-article article-detail-position">
                <div class="entry-thumbnail thumbnail-image-overlay">
                    <a href='<?php echo esc_url(get_category_link($category->term_id));?>'
                        class="data-bg data-bg-medium" data-background='<?php echo esc_url($twp_term_image); ?>'></a>
                </div>
                <div class="theme-article-detail">
                    <h2 class="entry-title entry-title-xsmall entry-title-sign">
                        <a
                            href="<?php echo esc_url(get_category_link($category->term_id));?>"><?php echo esc_html($category->name); ?><?php echo '('.absint($category->category_count).')'; ?></a>
                    </h2>
                </div>
            </article>
        </div>
        <?php 
      } ?>
    </div>
</div>
<?php get_footer();