<?php
/**
 * VidoeCast
 *
 * @package Videocast
 */
if (!function_exists('videocast_single_related_block')):
    function videocast_single_related_block(){
        $section_category = '';
        $videocast_banner_block_query = new WP_Query( array('post_type' => 'post', 'posts_per_page' => '20','post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html( $section_category ) ) );?>
<div class='theme-aside theme-aside-right'>
    <?php if( $videocast_banner_block_query ->have_posts() ): ?>

    <article id="post-<?php the_ID(); ?>" <?php post_class('twp-archive-items'); ?>>
        <?php if( $videocast_banner_block_query ->have_posts() ){
                while( $videocast_banner_block_query ->have_posts() ){
                    $videocast_banner_block_query ->the_post();
                    $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                    $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : '';
                    ?>
        <div class="list-block <?php if( !has_post_thumbnail() ){ echo "single-no-image";} ?>">
            <div class="wrapper-inner wrapper-inner-small">
                <?php if( has_post_thumbnail() ){  ?>
                <div class="column column-5">
                    <div class="data-bg data-bg-thumbnail" data-background='<?php echo esc_url( $featured_image ); ?>'>
                    </div>
                </div>
                <?php } ?>

                <div class="column column-7">
                    <h2 class="entry-title entry-title-xsmall line-clamp-3">
                        <a href="<?php the_permalink(); ?>">
                            <?php the_title(); ?>
                        </a>
                    </h2>
                    <div class="entry-meta">
                        <?php videocast_posted_by();?>
                    </div>
                </div>
            </div>
        </div>
        <?php }
            } ?>
    </article>
    <?php
        wp_reset_postdata();
        endif;?>
</div>

<?php }
endif;